Loading...
Searching...
No Matches
Bias Tee Control
bladeRF2-specific API

## Description

## Functions

API_EXPORT int CALL_CONV | bladerf_get_bias_tee (struct bladerf *dev, bladerf_channel ch, bool *enable)
API_EXPORT int CALL_CONV | bladerf_set_bias_tee (struct bladerf *dev, bladerf_channel ch, bool enable)

## Function Documentation

## bladerf_get_bias_tee()

API_EXPORT int CALL_CONV bladerf_get_bias_tee | ( | struct bladerf * | dev,
|  | bladerf_channel | ch,
|  | bool * | enable )

Get current bias tee state

Parameters

  | dev | Device handle
  [in] | ch | Channel
  [out] | enable | True if bias tee active, false otherwise

Returns
  0 on success, value from Error codes list on failure

## bladerf_set_bias_tee()

API_EXPORT int CALL_CONV bladerf_set_bias_tee | ( | struct bladerf * | dev,
|  | bladerf_channel | ch,
|  | bool | enable )

Get current bias tee state

Parameters

  | dev | Device handle
  [in] | ch | Channel
  [in] | enable | True to activate bias tee, false to deactivate

Returns
  0 on success, value from Error codes list on failure